.c-icon {
  background-color: currentColor;
  block-size: 24px;
  display: block;
  font: 0/0 transparent;
  overflow: hidden;
  inline-size: 24px;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  -webkit-mask-position: center;
          mask-position: center;
  -webkit-mask-size: cover;
          mask-size: cover;
}

.c-icon--add {
  -webkit-mask-image: var(--crp-i-add);
          mask-image: var(--crp-i-add);
}

.c-icon--arrow-right {
  -webkit-mask-image: var(--crp-i-arrow-right);
          mask-image: var(--crp-i-arrow-right);
}

.c-icon--arrow-up {
  -webkit-mask-image: var(--crp-i-arrow-up);
          mask-image: var(--crp-i-arrow-up);
}

.c-icon--alert-triangle {
  -webkit-mask-image: var(--crp-i-alert-triangle);
          mask-image: var(--crp-i-alert-triangle);
}

.c-icon--book-opened-outline {
  -webkit-mask-image: var(--crp-i-book-opened-outline);
          mask-image: var(--crp-i-book-opened-outline);
}

.c-icon--calendar {
  -webkit-mask-image: var(--crp-i-calendar);
          mask-image: var(--crp-i-calendar);
}

.c-icon--checkbox-selected {
  -webkit-mask-image: var(--crp-i-checkbox-selected);
          mask-image: var(--crp-i-checkbox-selected);
}

.c-icon--checkbox-unselected {
  -webkit-mask-image: var(--crp-i-checkbox-unselected);
          mask-image: var(--crp-i-checkbox-unselected);
}

.c-icon--clock {
  -webkit-mask-image: var(--crp-i-clock);
          mask-image: var(--crp-i-clock);
}

.c-icon--computer-laptop {
  -webkit-mask-image: var(--crp-i-computer-laptop);
          mask-image: var(--crp-i-computer-laptop);
}

.c-icon--cursor-outline {
  -webkit-mask-image: var(--crp-i-cursor-outline);
          mask-image: var(--crp-i-cursor-outline);
}

.c-icon--diagonal {
  -webkit-mask-image: var(--crp-i-diagonal);
          mask-image: var(--crp-i-diagonal);
}

.c-icon--doc {
  -webkit-mask-image: var(--crp-i-doc);
          mask-image: var(--crp-i-doc);
}

.c-icon--download {
  -webkit-mask-image: var(--crp-i-download);
          mask-image: var(--crp-i-download);
}

.c-icon--facebook {
  -webkit-mask-image: var(--crp-i-facebook);
          mask-image: var(--crp-i-facebook);
}

.c-icon--grid {
  -webkit-mask-image: var(--crp-i-grid);
          mask-image: var(--crp-i-grid);
}

.c-icon--id-alt {
  -webkit-mask-image: var(--crp-i-id-alt);
          mask-image: var(--crp-i-id-alt);
}

.c-icon--info-circle {
  -webkit-mask-image: var(--crp-i-info-circle);
          mask-image: var(--crp-i-info-circle);
}

.c-icon--linkedin {
  -webkit-mask-image: var(--crp-i-linkedin);
          mask-image: var(--crp-i-linkedin);
}

.c-icon--location {
  -webkit-mask-image: var(--crp-i-location);
          mask-image: var(--crp-i-location);
}

.c-icon--link {
  -webkit-mask-image: var(--crp-i-link);
          mask-image: var(--crp-i-link);
}

.c-icon--phone {
  -webkit-mask-image: var(--crp-i-phone);
          mask-image: var(--crp-i-phone);
}

.c-icon--map {
  -webkit-mask-image: var(--crp-i-map);
          mask-image: var(--crp-i-map);
}

.c-icon--menu {
  -webkit-mask-image: var(--crp-i-menu);
          mask-image: var(--crp-i-menu);
}

.c-icon--pause {
  -webkit-mask-image: var(--crp-i-pause);
          mask-image: var(--crp-i-pause);
}

.c-icon--pdf {
  -webkit-mask-image: var(--crp-i-pdf);
          mask-image: var(--crp-i-pdf);
}

.c-icon--play {
  -webkit-mask-image: var(--crp-i-play);
          mask-image: var(--crp-i-play);
}

.c-icon-radio-selected {
  -webkit-mask-image: var(--crp-i-radio-selected);
          mask-image: var(--crp-i-radio-selected);
}

.c-icon-radio-unselected {
  -webkit-mask-image: var(--crp-i-radio-unselected);
          mask-image: var(--crp-i-radio-unselected);
}

.c-icon--search {
  -webkit-mask-image: var(--crp-i-search);
          mask-image: var(--crp-i-search);
}

.c-icon--skip-back {
  -webkit-mask-image: var(--crp-i-skip-back);
          mask-image: var(--crp-i-skip-back);
}

.c-icon--skip-ahead {
  -webkit-mask-image: var(--crp-i-skip-ahead);
          mask-image: var(--crp-i-skip-ahead);
}

.c-icon--triangle-down {
  -webkit-mask-image: var(--crp-i-triangle-down);
          mask-image: var(--crp-i-triangle-down);
}

.c-icon--twitter {
  -webkit-mask-image: var(--crp-i-twitter);
          mask-image: var(--crp-i-twitter);
}

.c-icon--user {
  -webkit-mask-image: var(--crp-i-user);
          mask-image: var(--crp-i-user);
}